package advsql

func Delete(db *Database, query string) DeleteFunc {
	prepareGlobal(db, query)

	return func(args ...interface{}) error {
		s := db.stmt(query)
		_, err := s.Exec(args...)
		return err
	}
}
